%define major     0
%define libname   %mklibname %{name}_ %{major}
%define develname %mklibname %{name} -d

Summary:	C Library to Deal with Matroska Files
Name:		bcmatroska2
Version:	5.3.5
Release:	%mkrel 2
License:	BSD and Zlib and GPLv2+
Group:		System/Libraries
URL:		https://linphone.org/
Source0:	https://gitlab.linphone.org/BC/public/bcmatroska2/-/archive/%{version}/bcmatroska2-%{version}.tar.gz
Patch2:		0001-Fix-linking.patch
Patch3:		0001-Fix-compilation-warning-treated-as-error.patch
Patch4:		0001-Fix-INTERFACE_INCLUDE_DIRECTORIES-in-CMake-target-im.patch
# (daviddavid) install cmake config files in proper location
Patch10:	bcmatroska2-5.3.5_fix-cmake-dir.patch
BuildRequires:	cmake
BuildRequires:	cmake(bctoolbox) >= %{version}

%description
Bcmatroska2 is a C library to parse Matroska files (.mkv and .mka).

%package -n	%{libname}
Summary:	C Library to Deal with Matroska Files
Group:		System/Libraries

%description -n	%{libname}
Bcmatroska2 is a C library to parse Matroska files (.mkv and .mka).

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}

%prep
%autosetup -p1 -n %{name}-%{?gitdate}%{!?gitdate:%version}

%build
%cmake \
  -DCMAKE_SKIP_RPATH:BOOL=YES \
  -DENABLE_STATIC:BOOL=NO \
  -DENABLE_STRICT:BOOL=NO \
  -DCMAKE_INSTALL_INCLUDEDIR:PATH=include/bcmatroska2 \
  -DCONFIG_PACKAGE_LOCATION:PATH=%{_libdir}/cmake/%{name}
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/BCMatroska2/


%changelog
* Fri Dec 27 2024 wally <wally> 5.3.5-2.mga10
+ Revision: 2130579
- fix CMake targets import file

* Thu Oct 10 2024 daviddavid <daviddavid> 5.3.5-1.mga10
+ Revision: 2104619
- new version: 5.3.5

* Fri Jan 06 2023 wally <wally> 5.2.1-1.mga9
+ Revision: 1930688
- new version 5.2.1

* Tue Aug 23 2022 wally <wally> 5.1.20-1.mga9
+ Revision: 1879604
- new version 5.1.20

* Tue Aug 23 2022 wally <wally> 0.25-4.git20210209.3.mga9
+ Revision: 1879587
- properly fix RPATH

* Thu Mar 17 2022 umeabot <umeabot> 0.25-4.git20210209.2.mga9
+ Revision: 1796956
- Mageia 9 Mass Rebuild

* Fri Mar 11 2022 mrambo3501 <mrambo3501> 0.25-4.git20210209.1.mga9
+ Revision: 1790419
- bump rel
- remove the global rpath disable
- ignore the standard 0x0001 rpath

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 0.24-4.git20210209.1.mga9
+ Revision: 1790123
- disable rpath checking

* Sat Jul 31 2021 wally <wally> 0.23-4.git20210209.1.mga9
+ Revision: 1738389
- update to latest git snapshot

* Wed Feb 12 2020 umeabot <umeabot> 3.mga8-current
+ Revision: 1510673
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Sep 21 2018 umeabot <umeabot> 0.23-2.mga7
+ Revision: 1295352
- Mageia 7 Mass Rebuild

* Sun Dec 31 2017 wally <wally> 0.23-1.mga7
+ Revision: 1188350
- imported package bcmatroska2

